'
' Erstellt mit SharpDevelop.
' Benutzer: Tobi
' Datum: 26.12.2017
' Zeit: 11:22
' 
' Sie können diese Vorlage unter Extras > Optionen > Codeerstellung > Standardheader ändern.
'
Public Partial Class MainForm
	Dim zufall As New System.Random()
	Dim zufallszahl As Integer
	Dim zahl1 As Integer
	Dim zahl2 As Integer
	Dim ergebnis As Integer
	Dim rechenzeichenzahl As Integer
	Dim rechenzeichen As String
	Dim tauschzahl As Integer
	Dim fehlercode As Integer
	
	Public Sub New()
		' The Me.InitializeComponent call is required for Windows Forms designer support.
		Me.InitializeComponent()
		
		'
		' TODO : Add constructor code after InitializeComponents
		'
	End Sub
	
	Sub BtEndeClick(sender As Object, e As EventArgs)
		End		
	End Sub
	
	Sub BtNeueRechnungClick(sender As Object, e As EventArgs)
		lblPruefungsergebnis.Text = ""
		fehlercode = 1
		tbErgebnisEingabe.Text = ""
		zufallszahl = zufall.Next(0, tbGrenzeZahl1.Text + 1)
		zahl1 = zufallszahl
		zufallszahl = zufall.Next(0, tbGrenzeZahl2.Text + 1)
		zahl2 = zufallszahl
		zufallszahl = zufall.Next(0, 3 + 1)
		'Debug.Print(zufallszahl)
		rechenzeichenzahl = zufallszahl
		If rechenzeichenzahl = 0 Then
			rechenzeichen = "+"
			ergebnis = zahl1 + zahl2
		End If
		If rechenzeichenzahl = 1 Then
			rechenzeichen = "*"
			ergebnis = zahl1 * zahl2
		End If
		If rechenzeichenzahl = 2 Then
			rechenzeichen = "-"
			'Zur Verhinderung von negativen Zahlen:
			If zahl1 < zahl2 Then
				tauschzahl = zahl1
				zahl1 = zahl2
				zahl2 = tauschzahl
			End If
			ergebnis = zahl1 - zahl2
		End If
		If rechenzeichenzahl = 3 Then
			rechenzeichen = "/"
			'Debug.Print(zahl1 / zahl2)
			'2.5 = 2
			'2.51 = 3
			'Zur Verhinderung von 0 als Ergebnis:
			If zahl1 < zahl2 Then
				tauschzahl = zahl1
				zahl1 = zahl2
				zahl2 = tauschzahl
			End If
			Try
				ergebnis = zahl1 / zahl2
				'Zur Verhinderung von Kommazahlen
				zahl1 = zahl2 * ergebnis
			Catch
				MsgBox("Geteilt durch 0 ist verboten !!!", 64, "Unzulässige Operation")
				fehlercode = 0
			End Try
		End If
		
		
		lblRechenzeichen.Text = rechenzeichen
		lblZahl1.Text = zahl1
		lblZahl2.Text = zahl2
		lblErgebnis.BackColor = Color.Black
		If fehlercode = 0 Then
			lblErgebnis.Text = "???"
		Else
			lblErgebnis.Text = ergebnis
		End If
		tbErgebnisEingabe.Focus
	End Sub
	
	Sub BtPruefenClick(sender As Object, e As EventArgs)
		If tbErgebnisEingabe.Text = lblErgebnis.Text Then
			lblErgebnis.BackColor = Color.Chartreuse
			lblPruefungsergebnis.Text = "Richtig"
		Else
			lblErgebnis.BackColor = Color.Red
			lblPruefungsergebnis.Text = "Falsch"
			
		End If		
	End Sub
End Class
